# Class CompoundClip

Class CompoundClip

Clip MObject which is actually a compound of several elementary clips,
e.g. the several streams found within multichannels media.

Declaration :

- C++ : class CompoundClip : public Clip

Artifact : compoundclip, Diagram : Session structure

Relation components (<directional aggregation>)

Declaration :

- Uml : # components : Clip, multiplicity : 1..*
- C++ : protected: Clip* components

All public operations : apply , apply , dispatchOp